#
# spec file for package utf8proc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           utf8proc
Version:        1.3
Release:        3.3
%define lib_ver 1
Summary:        Library for processing UTF-8 encoded Unicode strings
License:        MIT
Group:          System/Libraries
Url:            http://julialang.org/utf8proc/
Source:         https://github.com/JuliaLang/utf8proc/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake

%description
utf8proc is a library for processing UTF-8 encoded Unicode strings.
Some features are Unicode normalization, stripping of default ignorable
characters, case folding and detection of grapheme cluster boundaries.
A special character mapping is available, which converts for example
the characters “Hyphen” (U+2010), “Minus” (U+2212) and “Hyphen-Minus
(U+002D, ASCII Minus) all into the ASCII minus sign, to make them
equal for comparisons.

%package     -n lib%{name}%{lib_ver}
Summary:        Library for processing UTF-8 encoded Unicode strings
Group:          System/Libraries

%description -n lib%{name}%{lib_ver}
utf8proc is a library for processing UTF-8 encoded Unicode strings.
Some features are Unicode normalization, stripping of default ignorable
characters, case folding and detection of grapheme cluster boundaries.
A special character mapping is available, which converts for example
the characters “Hyphen” (U+2010), “Minus” (U+2212) and “Hyphen-Minus
(U+002D, ASCII Minus) all into the ASCII minus sign, to make them
equal for comparisons.

%package        devel
Summary:        Library for processing UTF-8 encoded Unicode strings
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{lib_ver} = %{version}

%description    devel
utf8proc is a library for processing UTF-8 encoded Unicode strings.
Some features are Unicode normalization, stripping of default ignorable
characters, case folding and detection of grapheme cluster boundaries.
A special character mapping is available, which converts for example
the characters “Hyphen” (U+2010), “Minus” (U+2212) and “Hyphen-Minus
(U+002D, ASCII Minus) all into the ASCII minus sign, to make them
equal for comparisons.

This package provides libraries and header files for developing applications
that use utf8proc.

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
install -d %{buildroot}%{_libdir} %{buildroot}%{_includedir}
cp -d build/libutf8proc.so* %{buildroot}%{_libdir}
install -Dm 644 utf8proc.h %{buildroot}%{_includedir}/utf8proc.h

%post -n lib%{name}%{lib_ver} -p /sbin/ldconfig
%postun -n lib%{name}%{lib_ver} -p /sbin/ldconfig

%files -n lib%{name}%{lib_ver}
%defattr(-,root,root,-)
%doc lump.md LICENSE.md NEWS.md README.md
%{_libdir}/libutf8proc.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/utf8proc.h
%{_libdir}/libutf8proc.so

%changelog
* Thu Sep 17 2015 dmitry_r@opensuse.org
- Update to version 1.3
  * Updated for Unicode 8.0, see NEWS.md for more details
* Fri Aug  8 2014 dmitry_r@opensuse.org
- Fix so version
* Wed Jul 23 2014 dmitry_r@opensuse.org
- Initial package, version 1.1.6
